package flow;

public class CMenuConfig {
	
	public int RowID; //行号
	public String MenuID;//菜单类型	
	public String MenuName;//菜单名称	
	public int MenuType;//菜单类型
	public String NextMenu;//下级菜单
	public String Remark;//引用
	public int MenuErrorMaxCount;//可错误总次数
	public String Strategy;//策略位编码
	public String nodeType;//节点记录开关
	public int getRowID() {
		return RowID;
	}
	public void setRowID(int rowID) {
		RowID = rowID;
	}
	public String getMenuID() {
		return MenuID;
	}
	public void setMenuID(String menuID) {
		MenuID = menuID;
	}
	public String getMenuName() {
		return MenuName;
	}
	public void setMenuName(String menuName) {
		MenuName = menuName;
	}
	public int getMenuType() {
		return MenuType;
	}
	public void setMenuType(int menuType) {
		MenuType = menuType;
	}
	public String getNextMenu() {
		return NextMenu;
	}
	public void setNextMenu(String nextMenu) {
		NextMenu = nextMenu;
	}
	public String getRemark() {
		return Remark;
	}
	public void setRemark(String remark) {
		Remark = remark;
	}
	public int getMenuErrorMaxCount() {
		return MenuErrorMaxCount;
	}
	public void setMenuErrorMaxCount(int menuErrorMaxCount) {
		MenuErrorMaxCount = menuErrorMaxCount;
	}
	public String getStrategy() {
		return Strategy;
	}
	public void setStrategy(String strategy) {
		Strategy = strategy;
	}
	public String getNodeType() {
		return nodeType;
	}
	public void setNodeType(String nodeType) {
		this.nodeType = nodeType;
	}
	@Override
	public String toString() {
		return "CMenuConfig [RowID=" + RowID + ", MenuID=" + MenuID
				+ ", MenuName=" + MenuName + ", MenuType=" + MenuType
				+ ", NextMenu=" + NextMenu + ", Remark=" + Remark
				+ ", MenuErrorMaxCount=" + MenuErrorMaxCount + ", Strategy="
				+ Strategy + ", nodeType=" + nodeType + "]";
	}
	public CMenuConfig(int rowID, String menuID, String menuName, int menuType,
			String nextMenu, String remark, int menuErrorMaxCount,
			String strategy, String nodeType) {
		super();
		RowID = rowID;
		MenuID = menuID;
		MenuName = menuName;
		MenuType = menuType;
		NextMenu = nextMenu;
		Remark = remark;
		MenuErrorMaxCount = menuErrorMaxCount;
		Strategy = strategy;
		this.nodeType = nodeType;
	}
	public CMenuConfig() {
		super();
	}
	
}
